
QGIS Application - Bug report #2220

Reshape Features works incorrectly with rings(?): shapes differs from postgis/spatialite

2009-12-08 11:48 PM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12280

Description

1. Create new polygonal layer.

2. Create new polygon

3. Add ring (see attachment)

4. Using "Reshape Features" tools cut the ring (see attachment)

At result we have non identifiable ring.

History

#1 - 2009-12-09 09:41 AM - Giovanni Manghi

Actually I noticed that the vector layer behaves differently if it is postgis/spatialite or if is a shapefile.

After reshaping, the ring becomes a "part" (an island), then:

*) in postgis/spatialite the island is not selectable nor identifiable. If you use the "select features" tool on the main polygon then it then selects also the

island. The identify tool doesn't work the same, as identifying the main polygon do not highlight the island.

*) with shapefiles the resulting island is both selectable and identifiable but only after saving the changes. Before saving changes the island in not

identifiable nor selectable, as in the above case.

By the way, is correct the ring become an island after reshaping the polygon?

#2 - 2009-12-22 01:07 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:f9c0682a (SVN r12586)
